[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPHashList.ForEachCall

Call a procedure for each element in the list

## Declaration

Source position: line 0

`public procedure TFPHashList.ForEachCall(`
`proc2call: TListCallback;`
`arg: pointer`
`); procedure TFPHashList.ForEachCall(`
`proc2call: TListStaticCallback;`
`arg: pointer`
`);`

## Arguments

`proc2call` |  | Callback procedure
`arg` |  | Additional argument passed to proc2call

## Arguments

`proc2call` |  | Callback procedure
`arg` |  | Additional argument passed to proc2call

## Description

ForEachCall loops over the items in the list and calls proc2call, passing it the item and arg.

Documentation generated on: Feb 26 2014